
Redmine - Defect #9738

Setting of cross-project custom query is not remembered inside project

2011-12-06 22:03 - James Berry

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed Affected version:  

Description

In previous versions of Redmine, a custom query was remembered when I returned to the issues tab. After I upgraded our redmine

to the latest HEAD, this is no longer the case.

Steps to Reproduce:

1. Go to the Issues tab

2. Click on a custom query

3. Note that the organization of the issues has changed (ordering, grouping, etc.)

4. Click again on the Issues tab

5. Unexpected: note that the custom query is lost

Now:

1. Go to the Issues tab

2. Click on a custom query

3. Note that the organization of the issues has changed (ordering, grouping, etc.)

4. Click on the "Apply" button

5. Click again on the Issues tab

6. Note that the organization of the issues has not changed.

Expected Result:

It should not be necessary to click "Apply" for the custom query to be recognized.

This seems to work properly on the redmine site running 1.2.2, but it doesn't work for me on my installation running on trunk HEAD.

Related issues:

Related to Redmine - Defect #9108: Custom query not saving status filter Closed 2011-08-23

Has duplicate Redmine - Defect #9742: Issues from other projects appearing in... Closed

Associated revisions

Revision 8113 - 2011-12-07 22:35 - Jean-Philippe Lang

Fixed that a cross-project custom query is not remembered inside project (#9738).

Revision 8159 - 2011-12-10 13:07 - Jean-Philippe Lang

Merged r8113 from trunk (#9738).

History

#1 - 2011-12-06 22:05 - James Berry

Redmine 1.3.0.devel.8101 (MySQL)

#2 - 2011-12-07 09:17 - Etienne Massip

- Status changed from New to Confirmed

- Target version set to 1.3.0

#3 - 2011-12-07 09:17 - Etienne Massip

Indeed, lost the project filter.
#4 - 2011-12-07 14:15 - Bruno Medeiros

Maybe I found a similar bug #9742... project filter is also being lost.

#5 - 2011-12-07 22:35 - Jean-Philippe Lang

- Subject changed from Setting of Custom Query is not remembered to Setting of cross-project custom query is not remembered inside project

- Status changed from Confirmed to Resolved

This should be fixed by r8113.

#6 - 2011-12-08 01:18 - James Berry

With this fix (r8113), this is now once again working for me. Thanks for the fix!

#7 - 2011-12-10 13:07 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Fixed

Merged in 1.3-stable.
